KateBrowserExtension Class Reference

`#include <katedocumenthelpers.h>`

Inheritance diagram for KateBrowserExtension:

## Public Slots

void | copy ()
void | slotSelectionChanged ()
void | print ()

## Public Member Functions

| KateBrowserExtension (KateDocument *doc)
Public Member Functions inherited from KParts::BrowserExtension
| BrowserExtension (KParts::ReadOnlyPart *parent, const char *name=0L)
virtual void | setURLArgs (const URLArgs &args)
URLArgs | urlArgs () const
virtual int | xOffset ()
virtual int | yOffset ()
virtual void | saveState (QDataStream &stream)
virtual void | restoreState (QDataStream &stream)
bool | isURLDropHandlingEnabled () const
void | setURLDropHandlingEnabled (bool enable)
bool | isActionEnabled (const char *name) const
QString | actionText (const char *name) const
void | pasteRequest ()

## Additional Inherited Members

Signals inherited from KParts::BrowserExtension
void | enableAction (const char *name, bool enabled)
void | setActionText (const char *name, const QString &text)
void | openURLRequest (const KURL &url, const KParts::URLArgs &args=KParts::URLArgs())
void | openURLRequestDelayed (const KURL &url, const KParts::URLArgs &args=KParts::URLArgs())
void | openURLNotify ()
void | setLocationBarURL (const QString &url)
void | setIconURL (const KURL &url)
void | createNewWindow (const KURL &url, const KParts::URLArgs &args=KParts::URLArgs())
void | createNewWindow (const KURL &url, const KParts::URLArgs &args, const KParts::WindowArgs &windowArgs, KParts::ReadOnlyPart *&part)
void | loadingProgress (int percent)
void | speedProgress (int bytesPerSecond)
void | popupMenu (const QPoint &global, const KFileItemList &items)
void | popupMenu (KXMLGUIClient *client, const QPoint &global, const KFileItemList &items)
void | popupMenu (const QPoint &global, const KURL &url, const QString &mimeType, mode_t mode=(mode_t)-1)
void | popupMenu (KXMLGUIClient *client, const QPoint &global, const KURL &url, const QString &mimeType, mode_t mode=(mode_t)-1)
void | popupMenu (KXMLGUIClient *client, const QPoint &global, const KURL &url, const KParts::URLArgs &args, KParts::BrowserExtension::PopupFlags i, mode_t mode=(mode_t)-1)
void | selectionInfo (const KFileItemList &items)
void | selectionInfo (const QString &text)
void | selectionInfo (const KURL::List &urls)
void | mouseOverInfo (const KFileItem *item)
void | addWebSideBar (const KURL &url, const QString &name)
void | moveTopLevelWidget (int x, int y)
void | resizeTopLevelWidget (int w, int h)
void | requestFocus (KParts::ReadOnlyPart *part)
void | setPageSecurity (int)
void | itemsRemoved (const KFileItemList &items)
Static Public Member Functions inherited from KParts::BrowserExtension
static ActionSlotMap | actionSlotMap ()
static ActionSlotMap * | actionSlotMapPtr ()
static BrowserExtension * | childObject (QObject *obj)

## Detailed Description

Interface for embedding KateDocument into a browser.

Definition at line 36 of file katedocumenthelpers.h.

## Constructor & Destructor Documentation

KateBrowserExtension::KateBrowserExtension | ( | KateDocument * | doc | ) |

Constructor.

Parameters

  doc | parent document

Definition at line 30 of file katedocumenthelpers.cpp.

## Member Function Documentation

void KateBrowserExtension::copy | ( |  | ) |

slot

copy text to clipboard

Definition at line 39 of file katedocumenthelpers.cpp.

void KateBrowserExtension::print | ( |  | ) |

slot

print the current file

Definition at line 45 of file katedocumenthelpers.cpp.

void KateBrowserExtension::slotSelectionChanged | ( |  | ) |

slot

selection has changed

Definition at line 50 of file katedocumenthelpers.cpp.

The documentation for this class was generated from the following files:

- katedocumenthelpers.h
- katedocumenthelpers.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys